# Serial Configuration

The Serial Configuration utility allows you to configure the serial port of the vision system.

To configure the serial port of the vision system:

1. Launch In-Sight Vision Suite if it is not already running.

2. Left-click the device you want to configure on the In-Sight® Device Pane on the left. The list of Utilities applicable to the selected vision system then appears at the bottom of the window.

3. Click the Serial Configuration button to open the configuration window.

4. Configure the serial port.

5. Click OK.

## Serial Port Options

Note: You can use any off-the-shelf USB connection between vision systems and host PCs as a virtual COM port.

Item | Description
Mode | Determines the mode of the serial port configuration. You must restart the vision system after changing the selected Mode. You do not need to restart after changing the Port and Line Terminator settings within the same mode. You can choose from the following modes to configure the serial line:
Text | Configures the serial line for the ReadSerial and WriteSerial Spreadsheet functions. Uses standard ASCII protocol for sending and receiving text strings.
Native | Configures the serial line to receive native mode commands. Uses custom ASCII protocol for controlling the vision system from a remote serial device.
External Autofocus | Configures the serial line to drive Optotune telecentric lenses.
Off | Closes the serial port. No commands or data can be sent or received.
Note: In the External Autofocus and the Off modes, the Port and Line Terminator settings are not applicable. Selecting this mode disables the ReadSerial and WriteSerial Spreadsheet functions. The tools return #ERR.
Port | Determines the port you use. You can choose from the following: Serial: Uses the physical serial line port of the breakout cable. Virtual COM: Uses a virtual COM port created by connecting the vision system to the host PC through a USB cable. You can only use the Virtual COM in Text and Native Mode. In Virtual COM mode, you can only configure the Line Terminator values. The remaining Port settings are automatically negotiated between the host and the vision system. You can view the virtual COM port you created in the Device Manager in Windows:
Baud Rate | Determines the baud rate of the port. You can choose from the following baud rate values: 4800 9600 (default) 19200 38400 57600 115200
Data Bits | Determines the data bits of the port. You can choose 7 or 8 as data bits. The default value is 8.
Stop Bits | Determines the stop bits of the port. You can choose 1 or 2. The default value is 1.
Parity | Determines the parity of the port. You can choose from the following: None (default) Even Odd
Handshake | Determines the handshake protocol. You can choose from the following handshake protocols: None (default) X-On/X-Off Hardware
Fixed Input Length | Enables the fixed input length for the line terminator. The default value is 1. The maximum value is 255.
Input Terminator | Determines the input terminator value for the line terminator. The default value is 13. The maximum value is 255.
Output Terminator | Determines the output terminator value for the line terminator. The default value is 13. The maximum value is 255.